Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.InternalFrameLayout

    java.lang.Object
      javax.swing.plaf.basic.BasicInternalFrameUI.InternalFrameLayout

All Implemented Interfaces:
  LayoutManager

Enclosing class:
  BasicInternalFrameUI

    public class BasicInternalFrameUI.InternalFrameLayout

extends Object
implements LayoutManager

Constructor Summary
`BasicInternalFrameUI.InternalFrameLayout()`

Method Summary
`void` | `addLayoutComponent(String name, Component c)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
`void` | `layoutContainer(Container c)` Lays out the specified container.
`Dimension` | `minimumLayoutSize(Container c)` Calculates the minimum size dimensions for the specified container, given the components it contains.
`Dimension` | `preferredLayoutSize(Container c)` Calculates the preferred size dimensions for the specified container, given the components it contains.
`void` | `removeLayoutComponent(Component c)` Removes the specified component from the layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.InternalFrameLayout

    public BasicInternalFrameUI.InternalFrameLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component c)

  Description copied from interface: `LayoutManager`
  If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`
  Parameters:
    `name` - the string to be associated with the component
    `c` - the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(Component c)

  Description copied from interface: `LayoutManager`
  Removes the specified component from the layout.

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`
  Parameters:
    `c` - the component to be removed

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container c)

  Description copied from interface: `LayoutManager`
  Calculates the preferred size dimensions for the specified container, given the components it contains.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Parameters:
    `c` - the container to be laid out
  See Also:
    `LayoutManager.minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container c)

  Description copied from interface: `LayoutManager`
  Calculates the minimum size dimensions for the specified container, given the components it contains.

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`
  Parameters:
    `c` - the component to be laid out
  See Also:
    `LayoutManager.preferredLayoutSize(java.awt.Container)`

### layoutContainer

    public void layoutContainer(Container c)

  Description copied from interface: `LayoutManager`
  Lays out the specified container.

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Parameters:
    `c` - the container to be laid out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.